MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026613Community[OCCT] OCCT:Codingpublic2015-08-28 06:192015-10-23 20:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026613: Coding - avoid use of macros in Resource_Manager.cxx
DescriptionAs reported in https://github.com/tpaviot/oce/issues/564#issuecomment-135169338, [^] the preprocessor macros used in Resource_Manager.cxx can cause conflicts with other definitions when building under Windows. It is worth replacing these by enums with more specific names.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0044778)
git (administrator)
2015-08-28 10:36

Branch CR26613 has been created by kgv.

SHA-1: 8d9ab4c0e135454e822d2c8794342e288f84fc28


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 10:35:59 2015 +0300

    0026613: Coding - avoid use of macros in Resource_Manager.cxx
    
    Replace macros by enum Resource_KindOfLine.
(0044780)
kgv (developer)
2015-08-28 10:38

Patch is ready for review.
(0044789)
abv (manager)
2015-08-28 12:20

No remarks, please test
(0044833)
git (administrator)
2015-08-28 16:31

Branch CR26613 has been updated forcibly by apv.

SHA-1: dab7f6161b720e92089028895583b4f6768c02ae
(0044834)
apv (tester)
2015-08-28 16:31

Branch CR26613 has been rebased on the current master
(0044970)
apv (tester)
2015-09-02 16:34

Dear BugMaster,

Branch CR26613 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: dab7f6161b720e92089028895583b4f6768c02ae

Number of compiler warnings:
occt component:
   Linux: 16 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)
There is new additional warning:
Resource_Manager.cxx:126, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'Resource_KOL_End' not handled in switch [-Wswitch]

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90700835 / 91194202 [-0.54%]
Total CPU difference: 17694.139999998923 / 17164.219999999383 [+3.09%]

Testing on Windows:
Total MEMORY difference: 57033353 / 57042860 [-0.02%]
Total CPU difference: 16107.976855599065 / 16075.793849298934 [+0.20%]
(0044971)
git (administrator)
2015-09-02 16:45

Branch CR26613 has been updated by kgv.

SHA-1: 918ca684de978970b5d9b5a65363b0f3df63cc65


Detailed log of new commits:

Author: kgv
Date: Wed Sep 2 16:45:45 2015 +0300

    suppress gcc warning

(0044972)
git (administrator)
2015-09-02 16:47

Branch CR26613_1 has been created by kgv.

SHA-1: 9c75e18680dd50b9ee01adc2f79606b8b7cb3102


Detailed log of new commits:

Author: kgv
Date: Wed Sep 2 16:47:09 2015 +0300

    0026613: Coding - avoid use of macros in Resource_Manager.cxx
    
    Replace macros by enum Resource_KindOfLine.
(0044973)
kgv (developer)
2015-09-02 16:49

Dear bugmaster,

> There is new additional warning:
> Resource_Manager.cxx:126, GNU C Compiler 4 (gcc), Priority: Normal
> enumeration value 'Resource_KOL_End' not handled in switch [-Wswitch]
this is compiler bug - this condition should never happen.
Nevertheless, please check compilation of patch (no testing needed) in branch CR26613_1 with compiler warning eliminated.
(0045001)
mkv (tester)
2015-09-03 13:07
edited on: 2015-09-03 13:07

Dear BugMaster,
Branch CR26613_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 9c75e18680dd50b9ee01adc2f79606b8b7cb3102

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

(0046936)
git (administrator)
2015-10-16 16:24

Branch CR26613 has been deleted by kgv.

SHA-1: 918ca684de978970b5d9b5a65363b0f3df63cc65
(0046937)
git (administrator)
2015-10-16 16:24

Branch CR26613_1 has been deleted by kgv.

SHA-1: 9c75e18680dd50b9ee01adc2f79606b8b7cb3102

- Related Changesets
occt: master 969d1caf
Timestamp: 2015-09-02 13:47:09
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026613: Coding - avoid use of macros in Resource_Manager.cxx

Replace macros by enum Resource_KindOfLine.
mod - src/Resource/Resource_Manager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-28 06:19 abv New Issue
2015-08-28 06:19 abv Assigned To => kgv
2015-08-28 10:36 git Note Added: 0044778
2015-08-28 10:38 kgv Note Added: 0044780
2015-08-28 10:38 kgv Assigned To kgv => abv
2015-08-28 10:38 kgv Status new => resolved
2015-08-28 12:20 abv Note Added: 0044789
2015-08-28 12:20 abv Assigned To abv => bugmaster
2015-08-28 12:20 abv Status resolved => reviewed
2015-08-28 14:50 apv Assigned To bugmaster => apv
2015-08-28 16:31 git Note Added: 0044833
2015-08-28 16:31 apv Note Added: 0044834
2015-09-02 16:31 apv Test case number => Not needed
2015-09-02 16:34 apv Note Added: 0044970
2015-09-02 16:34 apv Assigned To apv => kgv
2015-09-02 16:34 apv Status reviewed => assigned
2015-09-02 16:45 git Note Added: 0044971
2015-09-02 16:47 git Note Added: 0044972
2015-09-02 16:49 kgv Note Added: 0044973
2015-09-02 16:49 kgv Assigned To kgv => bugmaster
2015-09-02 16:49 kgv Status assigned => resolved
2015-09-02 16:49 kgv Status resolved => reviewed
2015-09-02 18:05 mkv Assigned To bugmaster => mkv
2015-09-03 13:07 mkv Note Added: 0045001
2015-09-03 13:07 mkv Assigned To mkv => bugmaster
2015-09-03 13:07 mkv Status reviewed => tested
2015-09-03 13:07 mkv Note Edited: 0045001 View Revisions
2015-09-04 13:02 bugmaster Changeset attached => occt master 969d1caf
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 14:56 user533 Status verified => closed
2015-10-16 16:24 git Note Added: 0046936
2015-10-16 16:24 git Note Added: 0046937
2015-10-23 20:50 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker